CVE-2003-1315
CVSS7.5
发布时间 :2003-12-31 00:00:00
修订时间 :2008-09-05 16:36:36
NMCO    

[原文]SQL injection vulnerability in auth.php in Land Down Under (LDU) v601 and earlier allows remote attackers to execute arbitrary SQL commands.


[CNNVD]Land Down Under auth.php远程SQL注入漏洞(CNNVD-200312-415)

        
        Land Down Under是一款基于WEB的站点设计引擎。
        Land Down Under包含的'auth.php'脚本对用户提交的数据缺少充分过滤,远程攻击者可以利用这个漏洞进行SQL注入攻击,可能绕过验证或进行其他攻击。
        标准登录表单(auth.php)对用户提交的验证参数缺少充分检查,简单提交类似"' OR 1=1 -- "的数据可能绕过原来的SQL逻辑,无需认证登录管理页面。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1315
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1315
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-415
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/13922
(UNKNOWN)  XF  landdownunder-auth-sql-injection(13922)
http://www.securityfocus.com/bid/9168
(UNKNOWN)  BID  9168
http://www.osvdb.org/2943
(UNKNOWN)  OSVDB  2943
http://www.neocrome.net/page.php?id=1250
(UNKNOWN)  MISC  http://www.neocrome.net/page.php?id=1250
http://www.neocrome.net/index.php?m=single&id=76
(UNKNOWN)  MISC  http://www.neocrome.net/index.php?m=single&id=76
http://securitytracker.com/id?1008416
(UNKNOWN)  SECTRACK  1008416
http://secunia.com/advisories/10396
(VENDOR_ADVISORY)  SECUNIA  10396

- 漏洞信息

Land Down Under auth.php远程SQL注入漏洞
高危 输入验证
2003-12-31 00:00:00 2006-12-31 00:00:00
远程  
        
        Land Down Under是一款基于WEB的站点设计引擎。
        Land Down Under包含的'auth.php'脚本对用户提交的数据缺少充分过滤,远程攻击者可以利用这个漏洞进行SQL注入攻击,可能绕过验证或进行其他攻击。
        标准登录表单(auth.php)对用户提交的验证参数缺少充分检查,简单提交类似"' OR 1=1 -- "的数据可能绕过原来的SQL逻辑,无需认证登录管理页面。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 在php配置文件中设置magic_quotes_gpc为on;或使用addslashes() PHP函数进行过滤。
        厂商补丁:
        Land Down Under
        ---------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Land Down Under Upgrade Land Down Under 602
        
        http://ldu.neocrome.net/page.php?id=1249

- 漏洞信息

2943
Land Down Under (LDU) auth.php SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

Land Down Under website manager contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when SQL injection attacks occur, which will disclose user information resulting in a loss of confidentiality.

- 时间线

2003-12-10 2003-12-08
2003-12-07 Unknow

- 解决方案

Upgrade to version 602 or higher, as it has been reported to fix this vulnerability. Patches are available for 525 and 601 Enabling "magic_quotes_gc" in PHP will mitigate this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站